## btas 0.0+git20221014.147bf4d4

=== CMakeLists.txt ===
#; -*-CMake-*-

cmake_minimum_required (VERSION 3.14.0)  # FetchContent_MakeAvailable

###############################################################################
# CMake defaults to address key pain points
###############################################################################

# safety net for dev workflow: accidental install will not affect FindOrFetch*
if (NOT DEFINED CACHE{CMAKE_FIND_NO_INSTALL_PREFIX})
  set(CMAKE_FIND_NO_INSTALL_PREFIX ON CACHE BOOL "Whether find_* commands will search CMAKE_INSTALL_PREFIX and CMAKE_STAGING_PREFIX; see https://cmake.org/cmake/help/latest/variable/CMAKE_FIND_NO_INSTALL_PREFIX.html#variable:CMAKE_FIND_NO_INSTALL_PREFIX")
endif()

###############################################################################
# Bring ValeevGroup cmake toolkit
###############################################################################
include(FetchContent)
if (DEFINED PROJECT_BINARY_DIR)
  set(VG_CMAKE_KIT_PREFIX_DIR PROJECT_BINARY_DIR)
else ()
  set(VG_CMAKE_KIT_PREFIX_DIR CMAKE_CURRENT_BINARY_DIR)
endif()
FetchContent_Declare(
        vg_cmake_kit
        QUIET
        GIT_REPOSITORY      https://github.com/ValeevGroup/kit-cmake.git
        SOURCE_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg
        BINARY_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg-build
        SUBBUILD_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg-subbuild
)
FetchContent_MakeAvailable(vg_cmake_kit)
list(APPEND CMAKE_MODULE_PATH "${vg_cmake_kit_SOURCE_DIR}/modules")

###############################################################################
# Announce ourselves
###############################################################################
# see https://semver.org/
set(BTAS_MAJOR_VERSION 1)
set(BTAS_MINOR_VERSION 0)
set(BTAS_MICRO_VERSION 0)
set(BTAS_PRERELEASE_ID alpha.1)
set(BTAS_VERSION "${BTAS_MAJOR_VERSION}.${BTAS_MINOR_VERSION}.${BTAS_MICRO_VERSION}")
if (BTAS_PRERELEASE_ID)
  set(BTAS_EXT_VERSION "${BTAS_VERSION}-${BTAS_PRERELEASE_ID}")
else(BTAS_PRERELEASE_ID)
  set(BTAS_EXT_VERSION "${BTAS_VERSION}")
endif(BTAS_PRERELEASE_ID)

project(BTAS
        VERSION ${BTAS_VERSION}
        DESCRIPTION "BTAS: Basic Tensor Algebra for Seeplusplus"
        LANGUAGES CXX
        HOMEPAGE_URL "https://github.com/ValeevGroup/BTAS")
enable_language(C)  # C needed even for basic platform introspection

# extra cmake files are shipped with BTAS
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")

include(FeatureSummary)
include(RedefaultableOption)
include(CMakePackageConfigHelpers)
include(AddCustomTargetSubproject)
include(CTest) # defines BUILD_TESTING option

# Configure options
redefaultable_option(BTAS_BUILD_DEPS_FROM_SOURCE "Whether to build missing dependencies from source" OFF)
add_feature_info(BUILD_DEPS_FROM_SOURCE BTAS_BUILD_DEPS_FROM_SOURCE "Will build missing dependencies from source")
redefaultable_option(BTAS_ASSERT_THROWS "Whether BTAS_ASSERT should throw; enable if BUILD_TESTING=ON" ${BUILD_TESTING})
add_feature_info(ASSERT_THROWS BTAS_ASSERT_THROWS "BTAS_ASSERT(x) will throw if x is false, and not be affected by NDEBUG")
redefaultable_option(BTAS_USE_BLAS_LAPACK "Whether to enable BLAS/LAPACK bindings via BLAS++/LAPACK++" ON)
add_feature_info(USE_BLAS_LAPACK BTAS_USE_BLAS_LAPACK "Will use BLAS and LAPACK linear algebra distributions via their BLAS++/LAPACK++ interfaces" )
option(ENABLE_WFN91_LINALG_DISCOVERY_KIT "Use linear algebra discovery kit from github.com/wavefunction91 [recommended]" ON)
add_feature_info(WFN91LinearAlgebraDiscoveryKit ENABLE_WFN91_LINALG_DISCOVERY_KIT "Linear algebra discovery kit from github.com/wavefunction91 supports many more corner cases than the default CMake modules and/or ICL's BLAS++/LAPACK++ modules")

set(TARGET_MAX_INDEX_RANK 6 CACHE STRING "Determines the rank for which the default BTAS index type will use stack (default: 6); this requires Boost.Container")
add_feature_info("TARGET_MAX_INDEX_RANK=${TARGET_MAX_INDEX_RANK}" TRUE "default BTAS index type will use stack for rank<=${TARGET_MAX_INDEX_RANK}")

set(TARGET_ARCH "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")

include(CMakePushCheckState)
include(GNUInstallDirs)
include(AppendFlags)

##########################
# Standard build variables
##########################
set(BTAS_INSTALL_BINDIR "bin"
    CACHE PATH "BTAS BIN install directory")
set(BTAS_INSTALL_INCLUDEDIR "include"
    CACHE PATH "BTAS INCLUDE install directory")
set(BTAS_INSTALL_LIBDIR "lib"
    CACHE PATH "BTAS LIB install directory")
set(BTAS_INSTALL_SHAREDIR "share/BTAS/${BTAS_MAJOR_VERSION}.${BTAS_MINOR_VERSION}.${BTAS_MICRO_VERSION}"
    CACHE PATH "BTAS SHARE install directory")
set(BTAS_INSTALL_DATADIR "${BTAS_INSTALL_SHAREDIR}/data"
    CACHE PATH "BTAS DATA install directory")
set(BTAS_INSTALL_DOCDIR "${BTAS_INSTALL_SHAREDIR}/doc"
    CACHE PATH "BTAS DOC install directory")
set(BTAS_INSTALL_CMAKEDIR "lib/cmake/BTAS"
    CACHE PATH "BTAS CMAKE install directory")

# Get standard build variables from the environment if they have not already been set
if(NOT CMAKE_C_FLAGS OR NOT DEFINED CMAKE_C_FLAGS)
  set(CMAKE_C_FLAGS "$ENV{CPPFLAGS}")
  append_flags(CMAKE_C_FLAGS "$ENV{CFLAGS}")
endif()
if(NOT CMAKE_CXX_FLAGS OR NOT DEFINED CMAKE_CXX_FLAGS)
  set(CMAKE_CXX_FLAGS "$ENV{CPPFLAGS}")
  append_flags(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS}")
endif()
if(NOT CMAKE_EXE_LINKER_FLAGS OR NOT DEFINED CMAKE_EXE_LINKER_FLAGS)
  set(CMAKE_EXE_LINKER_FLAGS "$ENV{LDFLAGS}")
endif()
if (NOT CMAKE_CXX_COMPILER)
  message(FATAL_ERROR "C++ compiler not found")
endif()

set(CMAKE_SKIP_RPATH FALSE)

##########################
# We use C++17 features
##########################
# but insist on strict standard
set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ ISO Standard version")
if (NOT(CMAKE_CXX_STANDARD EQUAL 17 OR CMAKE_CXX_STANDARD EQUAL 20))
  message(FATAL_ERROR "C++ 2017 ISO Standard or higher is required to compile BTAS")
endif()
# C++20 is only configurable via compile features with cmake 3.12 and older
if (CMAKE_CXX_STANDARD EQUAL 20 AND CMAKE_VERSION VERSION_LESS 3.12.0)
  cmake_minimum_required (VERSION 3.12.0)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF CACHE BOOL  "Whether to use extensions of C++ ISO Standard version")

# Check type support
include(CheckTypeSize)
check_type_size("long double" BTAS_HAS_LONG_DOUBLE)
check_type_size("long long" BTAS_HAS_LONG_LONG)

#######################################
# create exportable BTAS library target
#######################################
add_library(BTAS INTERFACE)
target_compile_features(BTAS INTERFACE "cxx_std_17")
target_include_directories(BTAS INTERFACE $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/${BTAS_INSTALL_INCLUDEDIR}>)
install(TARGETS BTAS EXPORT btas COMPONENT BTAS)
install(DIRECTORY btas
    COMPONENT BTAS
    DESTINATION "${BTAS_INSTALL_INCLUDEDIR}"
    FILES_MATCHING PATTERN "*.h"
                   PATTERN "*.h.in" EXCLUDE
    )

##########################
# external dependencies
##########################
if( BTAS_USE_BLAS_LAPACK )
  include(external/linalgpp.cmake)
endif()
include(external/boost.cmake)

##########################
# configure BTAS_ASSERT
##########################
if (BTAS_ASSERT_THROWS)
  target_compile_definitions(BTAS INTERFACE -DBTAS_ASSERT_THROWS=1)
endif(BTAS_ASSERT_THROWS)

##########################
# dox
##########################
add_subdirectory(doc)

##########################
# checking/testing
##########################
if (BUILD_TESTING)
  add_custom_target_subproject(btas check USES_TERMINAL COMMAND ${CMAKE_CTEST_COMMAND} -V)
  add_subdirectory(unittest)
else(BUILD_TESTING)
  add_custom_target_subproject(btas check COMMAND echo "WARNING: unit testing disabled. To enable, give -DBUILD_TESTING=ON to cmake")
endif(BUILD_TESTING)

configure_file(
    ${PROJECT_SOURCE_DIR}/btas/version.h.in
    ${PROJECT_BINARY_DIR}/btas/version.h
)
install(FILES ${PROJECT_BINARY_DIR}/btas/version.h
    DESTINATION "${BTAS_INSTALL_INCLUDEDIR}/btas")

# Create the version file
write_basic_package_version_file(btas-config-version.cmake
    VERSION ${BTAS_VERSION} COMPATIBILITY AnyNewerVersion)

# Create the targets file
export(EXPORT btas
       NAMESPACE BTAS::
       FILE "${PROJECT_BINARY_DIR}/btas-targets.cmake")

## Create the configure file
configure_package_config_file(cmake/btas-config.cmake.in
    "${PROJECT_BINARY_DIR}/btas-config.cmake"
    INSTALL_DESTINATION "${BTAS_INSTALL_CMAKEDIR}"
    PATH_VARS CMAKE_INSTALL_PREFIX BTAS_INSTALL_BINDIR
    BTAS_INSTALL_INCLUDEDIR BTAS_INSTALL_LIBDIR
    BTAS_INSTALL_DOCDIR BTAS_INSTALL_CMAKEDIR)

## Install config, version, and target files
install(EXPORT btas
    FILE "btas-targets.cmake"
    DESTINATION "${BTAS_INSTALL_CMAKEDIR}"
    NAMESPACE BTAS::
    COMPONENT btas-config)
install(FILES
    "${PROJECT_BINARY_DIR}/btas-config.cmake"
    "${PROJECT_BINARY_DIR}/btas-config-version.cmake"
    DESTINATION "${BTAS_INSTALL_CMAKEDIR}"
    COMPONENT btas-config)
add_custom_target_subproject(btas install-config
    COMMAND ${CMAKE_COMMAND} -DCOMPONENT=btas-config -P ${PROJECT_BINARY_DIR}/cmake_install.cmake
    COMMENT "Installing BTAS config components")

feature_summary(WHAT ALL
    DESCRIPTION "=== BTAS Package/Feature Info ===")

###############################################################################
# appendix: misc details
###############################################################################
SET(CMAKE_COLOR_MAKEFILE ON)

=== unittest/CMakeLists.txt ===
# Create the ta_test executable
set(executable btas_test)
set(btas_test_src_files
  tensor_test.cc
  contract_test.cc
  mohndle_test.cc
  tensor_cp_test.cc
  range_test.cc
  tensor_blas_test.cc
  tensor_func_test.cc
  tensorview_test.cc
  test.cc
)
add_executable(${executable} EXCLUDE_FROM_ALL ${btas_test_src_files})
# Add include directories and compiler flags for ta_test
target_include_directories(${executable} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)
target_link_libraries(${executable} BTAS)

# Add targets
add_dependencies(check-btas ${executable})

# Add a test
add_test(${executable} ${PROJECT_BINARY_DIR}/unittest/${executable})
set_tests_properties(${executable} PROPERTIES WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/unittest")

=== debian/changelog ===
btas (0.0+git20221014.147bf4d4-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <mbanck@debian.org>  Sat, 03 Dec 2022 18:09:31 +0100

=== debian/control ===
Source: btas
Section: libdevel
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: cmake,
               debhelper (>= 11),
               libboost-container-dev,
               libboost-dev,
               libboost-serialization-dev
Standards-Version: 4.5.1
Homepage: https://github.com/ValeevGroup/btas
Vcs-Browser: https://salsa.debian.org/debichem-team/btas
Vcs-Git: https://salsa.debian.org/debichem-team/btas.git

Package: libbtas-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Basic Tensor Algebra Subroutines Library (development files)
 BTAS (Basic Tensor Algebra Subroutines) is a library for tensor algebra.
 It is a reference implementation of the Tensor Working Group concept spec.
 .
 This package contains the static libraries and the header files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

%:
	dh $@  --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- 					\
		-DCMAKE_BUILD_TYPE=${BUILD_TYPE}		\
		-DBTAS_BUILD_UNITTEST=ON			\
		-DBTAS_ASSERT_THROWS=ON				\
		-DBTAS_USE_CBLAS_LAPACKE=OFF			\
		-DBTAS_USE_BLAS_LAPACK=OFF

override_dh_auto_build:
	dh_auto_build
	(cd obj-*/unittest && make btas_test)

=== debian/watch ===
version=3
https://github.com/ValeevGroup/btas/releases .*/archive/refs/tags/v([\d.]+)\.tar\.(?:bz2|gz)

## btas 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #; -*-CMake-*-
 
 cmake_minimum_required (VERSION 3.14.0)  # FetchContent_MakeAvailable
+
+# Preload versions/tags of all dependencies ====================================
+include(external/versions.cmake)
 
 ###############################################################################
 # CMake defaults to address key pain points
@@ -24,6 +27,7 @@
         vg_cmake_kit
         QUIET
         GIT_REPOSITORY      https://github.com/ValeevGroup/kit-cmake.git
+        GIT_TAG             ${BTAS_TRACKED_VGCMAKEKIT_TAG}
         SOURCE_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg
         BINARY_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg-build
         SUBBUILD_DIR ${${VG_CMAKE_KIT_PREFIX_DIR}}/cmake/vg-subbuild
@@ -38,7 +42,7 @@
 set(BTAS_MAJOR_VERSION 1)
 set(BTAS_MINOR_VERSION 0)
 set(BTAS_MICRO_VERSION 0)
-set(BTAS_PRERELEASE_ID alpha.1)
+set(BTAS_PRERELEASE_ID )
 set(BTAS_VERSION "${BTAS_MAJOR_VERSION}.${BTAS_MINOR_VERSION}.${BTAS_MICRO_VERSION}")
 if (BTAS_PRERELEASE_ID)
   set(BTAS_EXT_VERSION "${BTAS_VERSION}-${BTAS_PRERELEASE_ID}")
@@ -60,6 +64,7 @@
 include(RedefaultableOption)
 include(CMakePackageConfigHelpers)
 include(AddCustomTargetSubproject)
+include(CMakePushCheckState)
 include(CTest) # defines BUILD_TESTING option
 
 # Configure options
@@ -77,28 +82,27 @@
 
 set(TARGET_ARCH "${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
 
-include(CMakePushCheckState)
+##########################
+# INSTALL variables
+##########################
 include(GNUInstallDirs)
+set(BTAS_INSTALL_BINDIR "${CMAKE_INSTALL_BINDIR}"
+    CACHE PATH "BTAS BIN install directory")
+set(BTAS_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}"
+    CACHE PATH "BTAS INCLUDE install directory")
+set(BTAS_INSTALL_LIBDIR "${CMAKE_INSTALL_LIBDIR}"
+    CACHE PATH "BTAS LIB install directory")
+set(BTAS_INSTALL_DATADIR "${CMAKE_INSTALL_DATAROOTDIR}/BTAS/${BTAS_EXT_VERSION}"
+    CACHE PATH "BTAS DATA install directory")
+set(BTAS_INSTALL_DOCDIR "${BTAS_INSTALL_DATADIR}/doc"
+    CACHE PATH "BTAS DOC install directory")
+set(BTAS_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/BTAS"
+    CACHE PATH "BTAS CMAKE install directory")
+
+##########################
+# Standard build variables
+##########################
 include(AppendFlags)
-
-##########################
-# Standard build variables
-##########################
-set(BTAS_INSTALL_BINDIR "bin"
-    CACHE PATH "BTAS BIN install directory")
-set(BTAS_INSTALL_INCLUDEDIR "include"
-    CACHE PATH "BTAS INCLUDE install directory")
-set(BTAS_INSTALL_LIBDIR "lib"
-    CACHE PATH "BTAS LIB install directory")
-set(BTAS_INSTALL_SHAREDIR "share/BTAS/${BTAS_MAJOR_VERSION}.${BTAS_MINOR_VERSION}.${BTAS_MICRO_VERSION}"
-    CACHE PATH "BTAS SHARE install directory")
-set(BTAS_INSTALL_DATADIR "${BTAS_INSTALL_SHAREDIR}/data"
-    CACHE PATH "BTAS DATA install directory")
-set(BTAS_INSTALL_DOCDIR "${BTAS_INSTALL_SHAREDIR}/doc"
-    CACHE PATH "BTAS DOC install directory")
-set(BTAS_INSTALL_CMAKEDIR "lib/cmake/BTAS"
-    CACHE PATH "BTAS CMAKE install directory")
-
 # Get standard build variables from the environment if they have not already been set
 if(NOT CMAKE_C_FLAGS OR NOT DEFINED CMAKE_C_FLAGS)
   set(CMAKE_C_FLAGS "$ENV{CPPFLAGS}")
@@ -155,6 +159,15 @@
 ##########################
 # external dependencies
 ##########################
+# optional dependency: ccache, but need to be defined first so that mandatory dependencies can inherit it
+find_program(CCACHE ccache)
+if(CCACHE)
+  mark_as_advanced(CCACHE)
+  message (STATUS "Found ccache: ${CCACHE}")
+  set(CMAKE_CXX_COMPILER_LAUNCHER "${CCACHE}" CACHE STRING "Compiler launcher to use for compiling C++")
+  set(CMAKE_C_COMPILER_LAUNCHER "${CCACHE}" CACHE STRING "Compiler launcher to use for compiling C")
+endif(CCACHE)
+
 if( BTAS_USE_BLAS_LAPACK )
   include(external/linalgpp.cmake)
 endif()
@@ -176,7 +189,7 @@
 # checking/testing
 ##########################
 if (BUILD_TESTING)
-  add_custom_target_subproject(btas check USES_TERMINAL COMMAND ${CMAKE_CTEST_COMMAND} -V)
+  add_custom_target_subproject(btas check USES_TERMINAL COMMAND ${CMAKE_CTEST_COMMAND} -V -R "btas/unit/run")
   add_subdirectory(unittest)
 else(BUILD_TESTING)
   add_custom_target_subproject(btas check COMMAND echo "WARNING: unit testing disabled. To enable, give -DBUILD_TESTING=ON to cmake")
@@ -221,8 +234,11 @@
     COMMAND ${CMAKE_COMMAND} -DCOMPONENT=btas-config -P ${PROJECT_BINARY_DIR}/cmake_install.cmake
     COMMENT "Installing BTAS config components")
 
-feature_summary(WHAT ALL
-    DESCRIPTION "=== BTAS Package/Feature Info ===")
+if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
+  feature_summary(WHAT ALL
+          DESCRIPTION "=== BTAS Package/Feature Info ===")
+  feature_summary(FILENAME ${CMAKE_CURRENT_BINARY_DIR}/features.log WHAT ALL)
+endif()
 
 ###############################################################################
 # appendix: misc details

=== doc/CMakeLists.txt ===
find_package(Doxygen)
if(DOXYGEN_FOUND)
  configure_file(Doxyfile.in Doxyfile @ONLY IMMEDIATE)
  add_custom_target_subproject(btas html
    COMMAND ${DOXYGEN_EXECUTABLE} ${PROJECT_BINARY_DIR}/doc/Doxyfile
    SOURCES ${PROJECT_BINARY_DIR}/doc/Doxyfile)
  add_custom_target_subproject(btas doc DEPENDS html-btas)
endif()

=== unittest/CMakeLists.txt ===
# Create the ta_test executable
set(executable btas_test)
set(btas_test_src_files
        contract_test.cc
        mohndle_test.cc
        range_test.cc
        tensor_cp_test.cc
        tensor_blas_test.cc
        tensor_func_test.cc
        tensor_lapack_test.cc
        tensor_test.cc
        tensorview_test.cc
        ztensor_cp_test.cc
        test.cc
        )
add_executable(${executable} EXCLUDE_FROM_ALL ${btas_test_src_files})
# Add include directories and compiler flags for ta_test
target_include_directories(${executable} PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        )
target_link_libraries(${executable} BTAS)

# Add test suite
add_test(btas/unit/build "${CMAKE_COMMAND}" --build "${CMAKE_BINARY_DIR}" --target ${executable})
set_tests_properties(btas/unit/build PROPERTIES FIXTURES_SETUP BTAS_UNIT_TESTS_EXEC)
add_test(NAME btas/unit/run
        COMMAND ${executable})
set_tests_properties(btas/unit/run
        PROPERTIES
        FIXTURES_REQUIRED BTAS_UNIT_TESTS_EXEC
        WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/unittest"
        )

=== doc/examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(test-btas)

find_package(BTAS REQUIRED)

add_executable(synopsis synopsis.cxx)
target_link_libraries(synopsis BTAS::BTAS)

=== debian/changelog ===
btas (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Depends on libbtas-dev to fulfill CMake declared dependencies.
    (Closes: #1028634)

 -- Bastian Germann <bage@debian.org>  Tue, 09 Sep 2025 12:36:51 +0200

btas (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Updated.
  * debian/patches/fix_build_error.patch: Removed, included upstream. 
  * debian/control (Build-Depends): Added libboost-random-dev. 
  * debian/rules (override_dh_auto_configure, override_dh_auto_build): Removed,
    no longer needed.
  * debian/control (Build-Depends): Added libblas-dev, libblaspp-dev,
    liblapack-dev and liblapackpp-dev.
  * debian/patches/cmake_modules.patch: New patch, adds required cmake modules
    from kit-cmake/linalg-cmake-modules repositories.
  * debian/patches/vendored_cmake_modules.patch: New patch, adjusts the cmake
    search path to the local cmake/modules directory.
  * debian/patches/fix_ctest.patch: New patch, fixes the unittests so that they
    find the required data files.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2025 13:11:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,12 @@
                debhelper (>= 11),
                libboost-container-dev,
                libboost-dev,
-               libboost-serialization-dev
+               libboost-random-dev,
+               libboost-serialization-dev,
+               libblas-dev,
+               libblaspp-dev,
+               liblapack-dev,
+               liblapackpp-dev
 Standards-Version: 4.5.1
 Homepage: https://github.com/ValeevGroup/btas
 Vcs-Browser: https://salsa.debian.org/debichem-team/btas
@@ -15,7 +20,13 @@
 
 Package: libbtas-dev
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libboost-random-dev,
+         libboost-serialization-dev,
+         libblaspp-dev,
+         liblapack-dev,
+         liblapackpp-dev
 Description: Basic Tensor Algebra Subroutines Library (development files)
  BTAS (Basic Tensor Algebra Subroutines) is a library for tensor algebra.
  It is a reference implementation of the Tensor Working Group concept spec.

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,3 @@
 
 %:
 	dh $@  --buildsystem=cmake
-
-override_dh_auto_configure:
-	dh_auto_configure -- 					\
-		-DCMAKE_BUILD_TYPE=${BUILD_TYPE}		\
-		-DBTAS_BUILD_UNITTEST=ON			\
-		-DBTAS_ASSERT_THROWS=ON				\
-		-DBTAS_USE_CBLAS_LAPACKE=OFF			\
-		-DBTAS_USE_BLAS_LAPACK=OFF
-
-override_dh_auto_build:
-	dh_auto_build
-	(cd obj-*/unittest && make btas_test)

=== debian/watch ===
version=3
https://github.com/ValeevGroup/btas/tags .*/v([\d.]+)\.tar\.(?:bz2|gz)
